Create list
PUT
/api/v1/list
const url = 'https://example.com/api/v1/list';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"id":"example","name":"example","public":true,"description":"example","trails":["example"],"author":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/list \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "name": "example", "public": true, "description": "example", "trails": [ "example" ], "author": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
id
Optional custom ID (15 chars)
string
name
required
string
public
required
boolean
description
string
trails
required
Array<string>
author
required
string
Example generated
{ "id": "example", "name": "example", "public": true, "description": "example", "trails": [ "example" ], "author": "example"}Responses
Section titled “ Responses ”List created
Media type application/json
object
id
required
List ID (15 chars)
string
name
required
string
public
required
boolean
description
string
author
required
Author user ID
string
trails
Array<string>
created
string format: date-time
updated
string format: date-time
Example generated
{ "id": "example", "name": "example", "public": true, "description": "example", "author": "example", "trails": [ "example" ], "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z"}Bad Request
Internal Server Error